/* http://meyerweb.com/eric/tools/css/reset/
   v2.0 | 20110126
   License: none (public domain)
*/

html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
	margin: 0;
	padding: 0;
	border: 0;
	font-size: 100%;
	font: inherit;
	vertical-align: baseline;
}
/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
	display: block;
}
body {
	line-height: 1;
}
ol, ul {
	list-style: none;
}
blockquote, q {
	quotes: none;
}
blockquote:before, blockquote:after,
q:before, q:after {
	content: '';
	content: none;
}
table {
	border-collapse: collapse;
	border-spacing: 0;
}


.seoh1 {
    position: absolute;
    opacity: 0;
}

a:hover,
a:focus {
    text-decoration: none !important;
}






@-webkit-keyframes fadeInLeft {
    0% {
        opacity: 0;
        -webkit-transform: translateX(-50px);
        transform: translateX(-50px);
    }
    100% {
        opacity: 1;
        -webkit-transform: translateX(0);
        transform: translateX(0);
    }
}



@-webkit-keyframes fadeIn {
    0% {
        opacity: 0;
        -webkit-transform: scale(1);
        transform: scale(1);
    }
    100% {
        opacity: 1;
        -webkit-transform: scale(1);
        transform: scale(1);
    }
}


/* 字型引入 */
@font-face {
    font-family: "Museo_Slab_500italic";
    src: url(../fonts/Museo_Slab_500italic.otf);
}

@font-face {
  font-family: MyHelvetica;
  src: local("Helvetica Neue Bold"),
    local("HelveticaNeue-Bold"),
    url(MgOpenModernaBold.ttf);
  font-weight: bold;
}

@font-face {
  font-family: MyHelvetica;
  src: local("Helvetica Neue Regular"),
    local("HelveticaNeue-Regular"),
    url(MgOpenModernaRegular.ttf);
  font-weight: normal;
}







/* MENU 底 */

.cont_p {
    /*background-color: #16202c;*/
    background:rgba(22,32,44,0.85);
}

.cont_p {
    width: 100%;
    display: flex;
    align-items: center;
    padding: 20px 30px;
    position: relative;
    box-shadow: 0px 4px 8px -1px rgba(0,0,0,0.2);
}

.logo{
	padding-left: 30px;
    width: 186px;
    height: 44px;
}

/* MENU 開始*/

.right_ul{
	margin-left: auto;
}

.nav_ul {
    /* width: 100%; */
    display: flex;
    justify-content: flex-end;
}

.nav_li {
    display: inline-flex;
    justify-content: center;
    text-align: center;
    line-height: 1.3;
    margin-left: 80px;
    margin-right: 20px;
}

.nav{
	position: fixed;
	z-index: 999;
	width: 100%;
}

.nav_link {
    margin-right: 20px;
    text-decoration: none;
    font-size: 20px;
    font-family: Museo_Slab_500italic;
    font-weight: 500;
    line-height: 24px;
    color: #fff;
}


.nav_link:hover,
.nav_link:focus {
    color: #006ecc;
    text-decoration: none;
    -webkit-transition: .6s ease;
}

.right_hamburger {
    display: none;
}

.sep {
    display: none;
}

/* MENU 結束*/





/*banner 開始*/

.index_b{
    background-color: rgba(0, 0, 0, 0);
    background-repeat: no-repeat;
    background-image: url(../images/banner.png);
    background-size: cover;
    background-position: center top;
    width: 100%;
    height: 860px;
    opacity: 1;
    visibility: inherit;
}



.deco{
    display: block;
    z-index: 2;
    opacity: 0;
    position: relative;
    max-width: 1920px;
    width: 100%;
    height: 714px;
    top: 20px;
    background-image: url(../images/deco.png);
    background-size: 1920px 714px;
    background-repeat: no-repeat;
    /*clip: rect(0px 1920px 0px 0px);*/
    -webkit-animation: fadeInLeft 2s;
    -webkit-animation-fill-mode: forwards;
    -webkit-animation-delay: .7s;
}


.banner_t{
    z-index: 1;
    position: relative;
    max-width: 800px;
    top: 43%;
    left: 30%;
    text-align: center;
}

.banner_title{
    font-family: Helvetica;
    font-weight: bold;
    font-size: 64px;
    color: #fff;
    position: relative;
    text-align: left;
}

.banner_txt{
    font-family: Helvetica;
    font-weight: normal;
    font-size: 24px;
    color: #fff;
    padding-top: 30px;
    position: relative;
    text-align: left;
    line-height: 1.2;
}

/*banner 結束*/




/*about開始*/

.about_title{
    font-family: Helvetica;
    font-weight: bold;
    font-size: 36px;
    color: #000;
    position: relative;
    text-align: center;
    padding-top: 120px;
}

.about_txt{
    font-family: Helvetica;
    font-weight: normal;
    font-size: 26px;
    color: #000;
    padding-top: 40px;
    padding-bottom: 120px;
    position: relative;
    text-align: center;
    line-height: 1.5;
}

/*about 結束*/



/*Service 開始*/

.service{
    background: #f9f9f9;
    padding: 130px 0px;
}

.service_title{
    display: block;
    font-family: Helvetica;
    font-weight: bold;
    font-size: 36px;
    color: #000;
    position: relative;
    text-align: center;
}

.service_txt{
    display: block;
    font-family: Helvetica;
    font-weight: normal;
    font-size: 26px;
    color: #000;
    padding-top: 48px;
    position: relative;
    text-align: center;
    line-height: 1.5;
}

.service_pic{
    display: inherit;
    margin-top: 40px;
    max-width: 100%;
}

.service_pic{
    background-color: rgba(0, 0, 0, 0);
    background-repeat: no-repeat;
    background-image: url(../images/service.png);
    background-size: auto;
    background-position: center;
    text-align: center;
    line-height: 127px;
    height: 127px;
    opacity: 1;
}

.service_pic p{
    display: block;
    font-family: Microsoft JhengHei;
    font-weight: bold;
    font-size: 20px;
    color: #000;
    padding-top: 20px;
    position: relative;
    text-align: center;
}

.service_01{
    float: left;
    padding: 12px 30px 0px 30px;
    background-size: 95px 95px;
    background-repeat: no-repeat;
    /*clip: rect(0px 95px 0px 0px);*/
    -webkit-animation: fadeInLeft 2s;
    -webkit-animation-fill-mode: forwards;
    -webkit-animation-delay: .7s;
    line-height: 1.2 !important;
}

.service_02{
    float: left;
    padding: 12px 55px 0px 55px;
    background-size: 95px 95px;
    background-repeat: no-repeat;
    /*clip: rect(0px 95px 0px 0px);*/
    -webkit-animation: fadeInLeft 2s;
    -webkit-animation-fill-mode: forwards;
    -webkit-animation-delay: .7s;
    line-height: 1.2 !important;
}

.service_03{
    float: left;
    padding: 12px 50px 0px 60px;
    background-size: 95px 95px;
    background-repeat: no-repeat;
    /*clip: rect(0px 95px 0px 0px);*/
    -webkit-animation: fadeInLeft 2s;
    -webkit-animation-fill-mode: forwards;
    -webkit-animation-delay: .7s;
    line-height: 1.2 !important;
}

.service_04{
    float: left;
    padding: 12px 0px 0px 80px;
    background-size: 100px 95px;
    background-repeat: no-repeat;
    /*clip: rect(0px 100px 0px 0px);*/
    -webkit-animation: fadeInLeft 2s;
    -webkit-animation-fill-mode: forwards;
    -webkit-animation-delay: .7s;
    line-height: 1.2 !important;
}

/* service 結束 */





/* flex 宣告*/

.flex-container {
  display: flex | inline-flex;
}



/* Technology 開始*/

.technology{
    background-color: rgba(0, 0, 0, 0);
    background-repeat: no-repeat;
    background-image: url(../images/technology.png);
    background-size: cover;
    height: 604px;
    opacity: 1;
    visibility: inherit;
    padding: 130px 0px;
}


.technology .container{
    max-width: 1600px;
}


.tech_title{
    display: block;
    font-family: Helvetica;
    font-weight: bold;
    font-size: 36px;
    color: #000;
    position: relative;
    text-align: center;
}


.technology ul{
    display: flex;
    margin-top: 60px;
    margin-bottom: 60px;
    display: flex;
    justify-content: center;
}


.tech_box{
    margin: 10px 50px;
    width: 200px;
    height: 200px;
    border-radius: 50%;
    overflow: hidden;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #fff;
    box-shadow: 0 0 20px #ededed;
}


/* Technology 結束*/



/* partner 開始*/

.partners{
    background: #f9f9f9;
    padding: 130px 0px 100px 0px;
}

.pa_title{
    display: block;
    font-family: Helvetica;
    font-weight: bold;
    font-size: 36px;
    color: #000;
    position: relative;
    text-align: center;
}

.partners .container{
    margin-top: 50px;
}


.partners .container img{
    max-width: 100%;
    height: auto;
}

.pa_1{
    float: left;
    padding: 0px 20px;
    /*background-size: 182px 90px;*/
}

.pa_2{
    float: left;
    padding: 0px 20px;
    /*background-size: 182px 90px;*/
}

.pa_3{
    float: left;
    padding: 0px 20px;
    /*background-size: 182px 90px;*/
}

.pa_4{
    float: left;
    padding: 0px 20px;
    /*background-size: 182px 90px;*/
}

.pa_5{
    float: left;
    padding: 0px 20px;
    /*background-size: 182px 90px;*/
}

/* partner 結束*/



/*contact開始*/

.error-text{
	color: #e60012;
    font-family: Microsoft JhengHei;
    margin-top: 3px;
    font-weight: lighter;
}

.code-box{
	display: flex;
	justify-content: space-between;
	align-items: center;
	position: relative;
}

.code-re-btn{
	position: absolute;
	right: 0;
}

.contact_b{
    max-width: 1920px;
    margin-top: 120px;
    background: #162d42;
    padding: 130px 0px 240px 0px;
}


.con_title{
    font-family: Helvetica;
    font-weight: bold;
    font-size: 36px;
    color: #000;
    position: relative;
    text-align: center;
    padding-top: 120px;
    padding-bottom: 60px;
}

.con_logo{
    float: left;
    padding-left: 170px;
    position: relative;
    text-align: left;
    line-height: 1.5;
}



.con_info{
    display: inline-block;
    margin-right: 10px;
}

.con_info p{
    font-family: Microsoft JhengHei;
    font-weight: normal;
    font-size: 20px;
    color: #fff;
    padding-top: 10px;
    padding-left: 170px;
    position: relative;
    text-align: left;
    line-height: 1.5;
}



.con_form_bg{
    position: absolute;
    right: 10%;
    background: #fff;
    width: 940px;
    padding: 50px;
    box-shadow: 0px 0px 15px 0px rgba(0, 0, 0, 0.2);
    border-radius: 8px;
    display: flex;
    flex-wrap: wrap
}

.con_form{
    font-weight: lighter;
    color: #486e90;
    font-size: 18px;
    margin-bottom: 10px;
    font-family: Microsoft JhengHei;
    display: inline-flex;
    text-align: left;
}

.contact_form{
    width: 100%;
    display: flex;
    flex-wrap: wrap;
}


.form_all{
    margin-bottom: 40px;
}


.cthis{
    border-bottom: 1px solid #444444;
}

.all_input{
    width: 48%;
    margin-right: 1%;
}

.code_input{
    margin-bottom: none !impotant;
}


/*
.name_input .mail_input .company_input .phone_input{
    width: 48%;

}

.name_input,
.company_input {
    margin-right: 1%;
}
*/

input {
    border: none;
    border-radius: 0 !important;
    border-bottom: 1px solid #aabcd3;
    outline: none !important;
    width: 100%;
    font-size: 18px;
    display: flex;
    /*margin-left: auto;*/
    font-family: "Microsoft JhengHei";
    color: #162d42;
    margin-bottom: 0 !important;
    padding-bottom: 5px !important;
    -webkit-appearance: none;  /* Safari 和 Chrome，常用於iOS下移除內建樣式 */
    -moz-appearance: none;     /* FireFox */
    appearance: none;
}

.textarea-box{
	width: 100%;
	margin-bottom: 40px;
}

textarea {
    box-shadow: none !important;
    outline: none;
    border: 1px solid #aabcd3;
    resize: none;
    height: 100px;
    font-size: 18px;
    color: #162d42;
    font-family: "Microsoft JhengHei";
    overflow-y: hidden;
    width: 98%;
    padding: 10px;
    border-radius: 4px;
    -webkit-appearance: none;  /* Safari 和 Chrome，常用於iOS下移除內建樣式 */
    -moz-appearance: none;     /* FireFox */
    appearance: none;
}

.needred {
    color: #e60012;
    align-items: flex-start;
}

.ep {
    font-size: 12px;
    position: absolute;
    bottom: -32px;
    color: #e60012;
    left: 0;
    width: 100%;
    height: 90px;
}


.form_Btns {
    margin-left: 54px;
}

.form_btn {
    width: 170px;
    height: 40px;
    outline: none;
    border: none;
    border-radius: 4px;
    font-size: 16px;
    margin: 10px 5px 0px 5px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    font-weight: normal;
    font-family: Microsoft JhengHei;
    cursor: pointer;
}

.form_submit{
    color: #fff;
    background-color:#1866b1;
}

.form_reset{
    color: #1866b1;
    background-color:#fff;
    border:1px #1866b1 solid;
}


.form_submit {
  -webkit-transition-duration: 0.6s; /* Safari */
  transition-duration: 0.6s;
}

.form_submit:hover {
  background-color: #145390; /* hover */
  color: white;
}


.form_reset{
  -webkit-transition-duration: 0.6s; /* Safari */
  transition-duration: 0.6s
}

.form_reset:hover {
  background-color: #1866b1; /* hover */
  color: white;
}

/*contact 結束*/









/* footer */

.footer {
    width: 100%;
    height: 38px;
    font-size: 14px;
    font-family: Microsoft JhengHei;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #001324;
    color: white;
    bottom: 0px;
    bottom: 0;
    left: 0;
}







@media only screen and (max-width: 1800px) {
    .con_form_bg {
    right: 5%;
    }
    .con_logo{
    padding-left: 120px;
    }
    .con_info p{
    padding-left: 120px;
    }
}



@media only screen and (max-width: 1642px) {
    .nav_li {
    margin-left: 40px;
    margin-right: 20px;
    }
    .con_form_bg {
    right: 5%;
    width: 900px;
    }
    .con_logo{
    padding-left: 100px;
    }
    .con_info p{
    padding-left: 100px;
    }
    .form_Btns {
    margin-left: 40px;
    }
}


@media only screen and (max-width: 1580px) {
    .nav_li {
    margin-left: auto;
    margin-right: 20px;
    }
    .service_pic{
    background-image: none;
    }
    .banner_t {
    left: 25%;
    }
    .tech_box{
    margin: 10px 40px;
    }
    .con_form_bg {
    width: 820px;
    }
    .con_logo{
    padding-left: 80px;
    }
    .con_info p{
    padding-left: 80px;
    }
    .form_Btns {
    margin-left: 0px;
    }
}

@media only screen and (max-width: 1480px) {
    .con_info {
        max-width: 500px;
    }
}

@media only screen and (max-width: 1400px) {
    .bg {
        padding-top: 112px;
    }
    .logo{
    padding-left: 18px;
    }
    .right_hamburger {
        display: block;
        margin-left: auto;
    }
    .bar1,
    .bar2,
    .bar3 {
        width: 30px;
        height: 3px;
        background-color: #fff;
        margin: 5px 0;
        -moz-transition: .4s ease;
        -webkit-transition: .4s ease;
        -ms-transition: .4s ease;
        -o-webkit-transition: .4s ease;
        border-radius: 6px;
    }
    .change .bar1 {
        -webkit-transform: rotate(-45deg) translate(-5px, 4px);
        transform: rotate(-45deg) translate(-5px, 4px);
        background-color: #fff;
    }
    .change .bar2 {
        opacity: 0;
    }
    .change .bar3 {
        -webkit-transform: rotate(45deg) translate(-7px, -7px);
        transform: rotate(45deg) translate(-7px, -7px);
        background-color: #fff;
    }
    .menu-trigger {
        position: absolute;
        top: 50%;
        right: 30px;
        z-index: 9999;
        transform: translateY(-50%);
    }
    .right_ul.menu_show {
        max-height: 500px;
    }
    .right_ul {
        width: 100%;
        max-height: 0px;
        margin-left: 0;
        margin-right: 0;
        overflow: hidden;
        transition: max-height .7s;
        position: absolute;
        z-index: 100;
        top: 84px;
        left: 0;
        right: 0;
        background-color: rgba(22,32,44,0.9);
        -webkit-box-shadow: 0px 10px 16px -4px rgba(0, 0, 0, 0.3);
        -moz-box-shadow: 0px 10px 16px -4px rgba(0, 0, 0, 0.3);
        box-shadow: 0px 10px 16px -4px rgba(0, 0, 0, 0.3);
    }
    .nav_ul {
        justify-content: flex-start;
        flex-wrap: wrap;
        justify-content: center;
    }
    .nav_li {
        width: 100%;
        left: 1.5;
        height: 80px;
        margin-right: 0px;
        display: inline-flex;
        justify-content: center;
        align-items: center;
        /* border-bottom: 1px solid #038ccf; */
    }
    .nav_link {
        font-size: 20px;
    }
    .sep {
        display: inline-block;
        height: 1px;
        background-color: #3e3e3e;
        width: calc(100% - 50px);
    }
    .index_b{
    height: 750px;
    }
    .banner_t{
    max-width: 780px;
    top: 43%;
    left: 22%;
    text-align: center;
    }
    .banner_title{
    font-size: 60px;
    }
    .banner_txt{
    font-size: 24px;
    padding-top: 28px;
    line-height: 1.2;
    }
    .technology ul{
    flex-wrap: wrap;
    }
    .tech_box{
    margin: 10px 20px;
    display: flex;
    justify-content: center;
    width: 180px;
    height: 180px;
    }
    .con_info {
        max-width: 400px;
    }
}



@media only screen and (max-width: 1280px) {
    .con_logo{
    margin-bottom: 40px;
    padding-left: 0px;
    float: none;
    text-align: center;
    }
    .con_title{
    padding-top: 80px;
    padding-bottom: 40px;
    }
    .con_form_bg {
    margin: 0 auto;
    width: 80%;
    right: 5%;
    left: 5%;
    }
    .all_input {
    width: 98%;
    margin: 1%;
    }
    .form_Btns {
    margin-top: 10px;
    }
    .contact_b {
    padding: 0px 0px 100px 0px;
    margin-top: 820px;
    }
    .con_info {
    max-width: 600px;
    margin-top: 30px;
    }
    input{
    margin-bottom: 10px !important;
    }
    .textarea-box{
    margin-bottom: 10px !important;
    margin-top: 10px;
    }

}



@media only screen and (max-width: 1200px) {
    .banner_t{
    left: 18%;
    }
    .service{
    padding: 60px 0px 250px 0px;
    }
    .service_01{
    padding: 20px 120px;
    }
    .service_02{
    padding: 20px 120px;
    }
    .service_03{
    padding: 20px 170px;
    }
    .service_04{
    padding: 20px 115px;
    }
    .technology{
    padding: 60px 0px;
    }
    .partners{
    padding: 60px 0px 60px 0px;
    }
    .pa_1{
    padding: 0px 50px;
    }
    .pa_2{
        padding: 0px 50px;
    }
    .pa_3{
        padding: 0px 50px;
    }
    .pa_4{
        padding: 40px 0px 30px 180px;
    }
    .pa_5{
        padding: 40px 120px;
    }
    .con_form_bg {
    max-width: 800px;
    }
    .form_Btns {
    display: flex;
    width: 100%;
    flex-wrap: wrap;
    }
    .con_form_bg {
    padding: 30px;
    }
    .form_btn{
    width: 100%;
    margin-top: 20px;
    }
}


@media only screen and (max-width: 1080px) {
    /*.con_form_bg {
    left: 14%;
    }*/
}

@media only screen and (max-width: 991px) {
    .nav_li {
        height: 70px;
    }
    .nav_link {
        font-size: 18px;
    }
    .index_b{
    height: 600px;
    }
    .banner_t{
    max-width: 660px;
    top: 40%;
    left: 12%;
    text-align: center;
    }
    .banner_title{
    font-size: 60px;
    }
    .banner_txt{
    font-size: 24px;
    padding-top: 20px;
    line-height: 1.2;
    }
    .about_title{
    font-size: 32px;
    padding-top: 100px;
    }

    .about_txt{
    font-size: 24px;
    padding-top: 30px;
    padding-bottom: 100px;
    }
    .service_title{
    font-size: 32px;
    }
    .service_txt{
    font-size: 24px;
    padding-top: 30px;
    }
    .service_pic p{
    padding-top: 10px;
    }
    .service{
    padding: 60px 0px 600px 0px;
    }
    .service_01{
    float: none;
    }
    .service_02{
    float: none;
    }
    .service_03{
    float: none;
    padding: 10px 120px;
    }
    .service_04{
    float: none;
    }
    .tech_title{
    font-size: 32px;
    }
    .technology ul{
    margin-top: 30px;
    }
    .pa_title{
    font-size: 32px;
    }
    .partners{
    padding: 40px 0px 80px 0px;
    }
    .pa_1{
    padding-left: 20px;
    }
    .pa_2{
    padding-left: 20px;
    }
    .pa_3{
    padding-left: 30px;
    }
    .pa_4{
    padding: 40px 0px 0px 30px;
    }
    .pa_5{
    padding: 40px 0px 0px 40px;
    }
    .con_title {
    font-size: 32px;
    }
    .con_form_bg {
    padding: 20px;
    }
}



@media only screen and (max-width: 768px) {
    .bg {
        padding-top: 58px;
    }
    .logo {
        max-width: 380px;
        height: auto;
        /*padding-left: 27%;*/
    }
    .cont_p {
        padding: 20px 30px;
    }
    .logo img {
        width: 100%;
        height: 100%;
    }
    .cont_p {
        padding: 15px 15px;
    }
    .right_ul {
        top: 70px;
    }
    .nav_li {
        height: 60px;
    }
    .nav_link {
        font-size: 16px;
        font-weight: bold;
        line-height: 24px;
    }
    .index_b{
    height: 400px;
    }
    .banner_t{
    max-width: 300px;
    top: 32%;
    left: 10%;
    text-align: center;
    }
    .banner_title{
    font-size: 30px;
    line-height: 1.2;
    }
    .banner_txt{
    font-size: 18px;
    padding-top: 10px;
    line-height: 1.3;
    }
    .about_title{
    font-size: 28px;
    padding-top: 60px;
    }

    .about_txt{
    font-size: 18px;
    padding-top: 15px;
    padding-bottom: 60px;
    }
    .deco{
    display: none;
    }
    .service_title{
    font-size: 28px;
    }
    .service_txt{
    font-size: 18px;
    padding: 15px 15px 0px 15px;
    }
    .service_pic p{
    font-size: 18px;
    }
    .tech_box{
    width: 170px;
    height: 170px;
    }
    .partners .container {
    margin-top: 10px;
    }
    .partners{
    padding: 40px 0px 40px 0px;
    }
    .pa_1{
    padding: 0px;
    float: none;
    text-align: center;
    }
    .pa_2{
    padding: 0px;
    float: none;
    text-align: center;
    }
    .pa_3{
    padding: 0px;
    float: none;
    text-align: center;
    }
    .pa_4{
    padding: 0px;
    float: none;
    text-align: center;
    }
    .pa_5{
    padding: 0px;
    float: none;
    text-align: center;
    }
    .con_info p {
    font-size: 18px;
    padding-left: 40px;
    }
    .contact_b {
    margin-top: 780px;
    }
    .partners .container img{
    max-width: 42%;
    margin-top: 10px;
    }
}
@media only screen and (min-width: 468px) and (max-width: 678px) {
    .technology{
    background-image: none;
    height: 720px;
    }
}

@media only screen and (max-width: 468px) {
    .technology{
    background-image: none;
    height: 1120px;
    }
}
